export var ChampionColor;
(function (ChampionColor) {
    /** 33% more life. Drops a red heart. */
    ChampionColor[ChampionColor["RED"] = 0] = "RED";
    /** 33% increased movement speed. Drops a Lil Battery. */
    ChampionColor[ChampionColor["YELLOW"] = 1] = "YELLOW";
    /** Leaves green creep as it walks. Drops a pill. */
    ChampionColor[ChampionColor["GREEN"] = 2] = "GREEN";
    /** Greed shot (causing dropped coins on hit). Drops 1-3 coins. */
    ChampionColor[ChampionColor["ORANGE"] = 3] = "ORANGE";
    /** Half speed. Spawns 3 blue flies on death. */
    ChampionColor[ChampionColor["BLUE"] = 4] = "BLUE";
    /** Explodes on death. Drops a bomb. */
    ChampionColor[ChampionColor["BLACK"] = 5] = "BLACK";
    /** Invincible until all other enemies are killed. Drops an eternal heart. */
    ChampionColor[ChampionColor["WHITE"] = 6] = "WHITE";
    /** 33% health, half speed. Drops a key. */
    ChampionColor[ChampionColor["GREY"] = 7] = "GREY";
    /** Spectral projectiles and can move past environmental obstacles. Drops a locked chest. */
    ChampionColor[ChampionColor["TRANSPARENT"] = 8] = "TRANSPARENT";
    /** Fades in and out of visibility. Drops a red chest. */
    ChampionColor[ChampionColor["FLICKER"] = 9] = "FLICKER";
    /** Random projectiles. No drop. */
    ChampionColor[ChampionColor["PINK"] = 10] = "PINK";
    /** Pulls the player (and tears) towards itself. Drops a trinket. */
    ChampionColor[ChampionColor["PURPLE"] = 11] = "PURPLE";
    /**
     * Collapses into a flesh pile upon death and regenerates if not finished off.
     *
     * Drops a double heart.
     */
    ChampionColor[ChampionColor["DARK_RED"] = 12] = "DARK_RED";
    /** Releases blood shots in 8 directions when killed. Drops a half red heart. */
    ChampionColor[ChampionColor["LIGHT_BLUE"] = 13] = "LIGHT_BLUE";
    /**
     * The enemy blends into the background and briefly becomes visible when damaged.
     *
     * Drops a rune.
     */
    ChampionColor[ChampionColor["CAMO"] = 14] = "CAMO";
    /** Splits into two copies of itself upon death. */
    ChampionColor[ChampionColor["PULSE_GREEN"] = 15] = "PULSE_GREEN";
    /** Repels Isaac's tears while in the gray state. Drops a random pickup. */
    ChampionColor[ChampionColor["PULSE_GREY"] = 16] = "PULSE_GREY";
    /** Has 1-2 Eternal Flies circling it. Spawns two attack flies on death. */
    ChampionColor[ChampionColor["FLY_PROTECTED"] = 17] = "FLY_PROTECTED";
    /** Half size, 33% less HP, 33% faster. 20% chance to drop a pill. */
    ChampionColor[ChampionColor["TINY"] = 18] = "TINY";
    /** Double size, 50% more HP, does 2 hearts of damage, 10% slower. 20% chance to drop a pill. */
    ChampionColor[ChampionColor["GIANT"] = 19] = "GIANT";
    /** Heals all enemies in the room (including itself) for 30 HP per second. Drops a heart. */
    ChampionColor[ChampionColor["PULSE_RED"] = 20] = "PULSE_RED";
    /**
     * Spawns an Attack Fly on hit. After each hit, there is a delay until the next hit results in
     * another Attack Fly. A single Pulsating enemy can have up to 5 Attack Flies at once.
     *
     * Spawns 4-6 blue flies on death.
     */
    ChampionColor[ChampionColor["SIZE_PULSE"] = 21] = "SIZE_PULSE";
    /**
     * 3x HP. All enemies in the room that are not champions will turn yellow while the crowned enemy
     * is alive. The affected enemies will drop batteries like yellow champions upon dying.
     *
     * Drops 2-3 random pickups.
     */
    ChampionColor[ChampionColor["KING"] = 22] = "KING";
    /**
     * Does 2 hearts of damage when touched. Produces a Necronomicon effect upon death.
     *
     * Deals two full hearts of damage.
     */
    ChampionColor[ChampionColor["DEATH"] = 23] = "DEATH";
    /** Constantly poops. */
    ChampionColor[ChampionColor["BROWN"] = 24] = "BROWN";
    /** Many champion effects combined, drops one of everything. */
    ChampionColor[ChampionColor["RAINBOW"] = 25] = "RAINBOW";
})(ChampionColor || (ChampionColor = {}));
