/**
 * This is represented as an object instead of an enum due to limitations with TypeScript enums. (We
 * want this type to be a child of the `BitFlag` type.)
 *
 * @enum
 * @notExported
 * @rename CacheFlag
 */
declare const CacheFlagInternal: {
    /** 1 << 0 (1) */
    readonly DAMAGE: number;
    /** 1 << 1 (2) */
    readonly FIRE_DELAY: number;
    /** 1 << 2 (4) */
    readonly SHOT_SPEED: number;
    /** 1 << 3 (8) */
    readonly RANGE: number;
    /** 1 << 4 (16) */
    readonly SPEED: number;
    /** 1 << 5 (32) */
    readonly TEAR_FLAG: number;
    /** 1 << 6 (64) */
    readonly TEAR_COLOR: number;
    /** 1 << 7 (128) */
    readonly FLYING: number;
    /** 1 << 8 (256) */
    readonly WEAPON: number;
    /** 1 << 9 (512) */
    readonly FAMILIARS: number;
    /** 1 << 10 (1024) */
    readonly LUCK: number;
    /** 1 << 11 (2048) */
    readonly SIZE: number;
    /** 1 << 12 (4096) */
    readonly COLOR: number;
    /** 1 << 13 (8192) */
    readonly PICKUP_VISION: number;
    /** (1 << 16) - 1 */
    readonly ALL: number;
    /** 1 << 31 (2147483648) */
    readonly TWIN_SYNC: number;
};
type CacheFlagValue = BitFlag & {
    readonly __cacheFlagBrand: symbol;
};
type CacheFlagType = {
    readonly [K in keyof typeof CacheFlagInternal]: CacheFlagValue;
};
export declare const CacheFlag: CacheFlagType;
export type CacheFlag = CacheFlagType[keyof CacheFlagType];
export declare const CacheFlagZero: BitFlags<CacheFlagValue>;
export {};
//# sourceMappingURL=CacheFlag.d.ts.map